
/**
 * 상위항목 선택
 * @return
 */
function selectParentItem(){

	var objSelectBox = document.getElementById("parent_item");
	//var objSelectBoxText = objSelectBox.options[objSelectBox.selectedIndex].text;

	var params = new Array();
    params["category_item_srl"] = objSelectBox.value;
    
    // 서버에 요청하여 해당 노드의 정보를 수정할 수 있도록 한다. 
    var response_tags = new Array('error','message', 'xml_file', 'category_title');
    
	if(objSelectBox.selectedIndex !=0){
		exec_xml('cashbook', 'procCashbookCategoryItemMakeXmlFile', params, completeSelectParentItem, response_tags, params);
	}
}

/**
* 수정시 상위항목 선택 및 하위항목 표시 하기
* @return
*/
function loadParentItem(category_item_srl, item_srl){
	var params = new Array();
	params["category_item_srl"] = category_item_srl;
	params["item_srl"] = item_srl;	// 선택된 하위항목

	// select 선택
	jQuery("#parent_item > option[value="+category_item_srl+"]").attr("selected", "true");
	
	// 서버에 요청하여 해당 노드의 정보를 수정할 수 있도록 한다. 
	var response_tags = new Array('error','message', 'xml_file', 'category_title');
   
	exec_xml('cashbook', 'procCashbookCategoryItemMakeXmlFile', params, completeSelectParentItem, response_tags, params);
}

function completeSelectParentItem(ret_obj){
	drawCashbookItem(ret_obj['xml_file'])
}

/**
 * 하위항목표시하기
 * @param url
 * @return
 */
function drawCashbookItem(url){
	jQuery('#child_item').text("");
	
	//ajax get data and transeform ul il
    jQuery.get(url,function(data){
        jQuery(data).find("node").each(function(i){
            var text = jQuery(this).attr("text");
            var node_srl = jQuery(this).attr("node_srl");
            var selected_item = jQuery(this).attr("selected_item");
            
            if(i==0){
            	node = jQuery('<option value=0>::::::::::하위항목::::::::::</option>');
            	jQuery('#child_item').append(node);
            }
            var node = "";
            // node
            if(node_srl==selected_item){
            	node = jQuery('<option value="'+node_srl+'" selected="selected">'+text+'</option>');
            } else {
            	node = jQuery('<option value="'+node_srl+'">'+text+'</option>');
            }
            // node 붙이기
            jQuery('#child_item').append(node);

        });
    },"xml");
}

/* 수입,지출 입력후 */ 
function completeDealInsert(ret_obj) {
	// controller에서 넘어온 값 설정
    var error = ret_obj['error'];
    var message = ret_obj['message'];
    var returnUrl = ret_obj['ret_act'];
    // 메시지표시
    alert(message);
    // 목록으로이동
    var url = current_url.setQuery('act',returnUrl);
    url = url.setQuery('deal_srl',"");
    location.href = url;
}

/* 수입,지출 수정후 */ 
function completeDealUpdate(ret_obj) {
	// controller에서 넘어온 값 설정
    var error = ret_obj['error'];
    var message = ret_obj['message'];
    var returnUrl = ret_obj['ret_act'];
    // 메시지표시
    alert(message);
    // 목록으로이동
    var url = current_url.setQuery('act',returnUrl);
    url = url.setQuery('deal_srl',"");
    location.href = url;
}

/* 이체 입력 */
function insertTransfer(obj){
	// from과 to가 같은지 검사
	var fromAccountVal = jQuery('#from_account option:selected').val();
	var toAccountVal = jQuery('#to_account option:selected').val();
    if(fromAccountVal==toAccountVal){
    	alert("같은 계정으로 이체할 수 없습니다.");
    	return false;
    } else {
    	return procFilter(obj, insert_transfer);
    }
}

/* 이체 입력후 */ 
function completeTransferInsert(ret_obj) {
	// controller에서 넘어온 값 설정
    var error = ret_obj['error'];
    var message = ret_obj['message'];
    var returnUrl = ret_obj['ret_act'];
    // 메시지표시
    alert(message);
    // 목록으로이동
    var url = current_url.setQuery('act',returnUrl);
    url = url.setQuery('deal_srl',"");
    location.href = url;
}

/* 이체 수정후 */ 
function completeTransferUpdate(ret_obj) {
	// controller에서 넘어온 값 설정
    var error = ret_obj['error'];
    var message = ret_obj['message'];
    var returnUrl = ret_obj['ret_act'];
    // 메시지표시
    alert(message);
    // 목록으로이동
    var url = current_url.setQuery('act',returnUrl);
    url = url.setQuery('deal_srl',"");
    //location.href = url;
}

